.blog-component {
  height: inherit;
  //overflow-x: hidden;

  &-header {
    min-height: 320px;
    max-height: 580px;
    background: linear-gradient(to bottom, rgba(3, 3, 3, 0.4) 100%, transparent), url("../../assets/img/blog-header.jpg") no-repeat;
    transition: all ease 1s;
    background-size: cover;
    color: #fff;
    position: relative;
    @include vert-center;
    flex-direction: column;

    @media (max-width: 992px) {
      min-height: 180px;
    }

    &--take-stand {
      background: linear-gradient(to bottom, rgba(3, 3, 3, 0.4) 100%, transparent),
        url("../../assets/img/stand-header.jpg") no-repeat;
      background-size: cover;
    }

    h1 {
      @include header-title;
      width: 960px;
      margin: 0 auto;
      padding-top: 20px;
      word-wrap: break-word;
      display: flex;
      align-items: center;
      justify-content: center;

      @media screen and (min-width: 1200px) {
        font-size: calc(2vw + 2vh + 2vmin);
        padding-left: 1em;
      }

      @media (max-width: 992px) {
        width: 100%;
        display: none;
      }
    }

    &-flag {
      //display: inline;
      height: .6em;
      margin: 0 5px;

    }

    &--search {
      width: 960px;
      margin: 0 auto;
      text-align: end;

      @media (max-width: 992px) {
        width: 100%;
      }

      .blog-component-header--search {
        display: none;
      }

      .ant-input,
      .ant-select-selection {
        align-items: center;
        border: none;
        border-radius: unset;
        background: transparent;
        color: #fff;
        font-weight: 900;
        font-size: 1.2em;
        padding-right: 1em;
      }

      .ant-select-selection .anticon {
        margin-top: -0.2em;
      }

      .ant-input {
        background: rgba(51, 51, 51, 0.4);
        border-bottom: solid #fff 1px;
        display: none;

        &-suffix .anticon {
          margin-top: -0.5em;
        }

        &::placeholder {
          color: inherit;
        }
      }

      &-open {
        .ant-input {
          display: initial;

          &-suffix .anticon {
            margin-top: 0;
          }
        }
      }

      .anticon {
        @include vert-center;
        font-weight: 900;
        font-size: 1.5em;
        color: #fff;
      }
    }

    .btn-dist {
      position: absolute;
      top: 0;
      left: 3em;
      display: none;

      .logo {
        background: transparent;
        margin: 5em auto 0.5em;
        width: 8em;
        display: block;

        img {
          width: inherit
        }
      }

      a:last-child {
        display: inline-block;
        width: 100%;
        text-align: center;
        font-weight: 700;
        background: #f4c710;
        color: #685019;
        font-size: smaller;
        padding: 3px 18px;
      }

      @media screen and (min-width: 1200px) {
        left: 5em;

        .logo {
          margin-top: 5em;
        }
      }
    }
  }

  &-content {
    flex: auto;
    max-width: 960px;
    margin: 0 auto;
    width: 100%;

    .blog-tabs {
      border-bottom: 3px solid #484848;
      @include vert-center;
      text-align: center;

      &-selected {
        border: none;
      }

      a {
        padding: 0 0.5em;
        margin: 1em 0;
        font-weight: 700;
        color: #4b2418;
      }

      .tab-blog-selected {
        border-bottom: 11px solid #f4c710;
      }
    }

    .blog-layout {
      display: grid;
      grid-template-columns: 710px 230px;
      column-gap: 20px;
      grid-template-rows: auto auto 1fr;
      grid-template-areas:
        "latest featured"
        "latest featured"
        "articles featured"
        "articles newsletter";
      margin: 2em 0;
      width: 100%;
      max-width: 100%;
      overflow: hidden;

      &-latest {
        grid-area: latest;
        height: 100%;
        color: #fff;
        margin-bottom: 1em;

        h1 {
          @include vert-center;
          align-items: center;
          height: 81px;
          font-weight: 700;
          background: #f4c710;
          font-size: 3em;
          text-transform: uppercase;

          @media (max-width: 992px) {
            font-size: 22px;
          }
        }

        &--article {
          img {
            width: 100%;
            max-height: 310px;
            object-fit: cover;
          }

          h2 {
            color: #4b2418;
            font-weight: 700;
            font-size: 3em;
          }

          p {
            color: #484848;
            font-style: italic;
            margin: 1em 0 0.5em 0;
          }
        }
      }

      &-articles {
        grid-area: articles;
        border-top: 3px solid #484848;
        padding-top: 1em;
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-template-rows: 1fr 1fr;
        gap: 1em 2em;

        &--item {
          img {
            width: 100%;
            height: 200px;
            object-fit: cover;
          }

          h2 {
            color: #4b2418;
            font-weight: 700;
            font-size: 2em;
          }

          p {
            font-size: smaller;
            color: #484848;
            font-style: italic;
            margin: 1em 0 0.5em 0;
          }
        }
      }

      &-articles-searched-results {
        border-top: 3px solid #484848;

        h3 {
          margin: 1em 0;
        }

        .blog-layout-articles {
          border: none;
          grid-template-columns: repeat(3, 1fr);
          grid-template-rows: 1fr;

        }
      }

      &-featured {
        grid-area: featured;
        display: flex;
        flex-direction: column;

        h1 {
          @include vert-center;
          background: #e8d6af;
          align-items: center;
          color: #fff;
          height: 81px;
          font-weight: 700;
          font-size: 2em;
          text-transform: uppercase;
          margin-bottom: 10px;
        }

        &-item {
          background: #e8d6af;
          padding: 0 20px;
          display: flex;
          flex-direction: column;
          flex: 1 1;

          div {
            @include vert-center;
            flex: 1 1;
            flex-direction: column;
            border-bottom: 2px solid #ffffff;
            color: #fff;

            &:last-child {
              border: none;
            }

            h2 {
              color: #4b2418;
              font-weight: 700;
              //width: max-content;
              font-size: 1.5em;
            }

            p {
              width: max-content;
              font-size: smaller;
              font-weight: 600;
              font-style: italic;
              margin: 1em 0 0.5em 0;
            }
          }
        }
      }

      &-newsletter {
        grid-area: newsletter;
        background: #d3d974;
        padding: 3em 2em;
        margin-top: 1em;
        color: #fff;
        @include vert-center;
        flex-direction: column;
        text-align: center;

        h2 {
          color: #174f02;
          font-size: 1.5em;
          font-weight: 700;
          text-align: left;
        }

        p {
          padding: 1em 0;
          text-align: left;
          flex: 1 1;
        }

        input {
          border: none;
          font-size: smaller;
          font-weight: 700;
          text-align: center;
        }

        input[type="email"] {
          margin-bottom: 1.5em;
          width: 100%;
          text-align: left;
          font-weight: 600;
          font-size: 1rem;
          display: block;
          background: transparent;
          border-bottom: 1px solid #468e18;
        }

        input[type="submit"] {
          padding: 3px 18px;
          background: #468e18;
          border-radius: 3px;
          font-size: 1em;
        }
      }
    }
  }

  @media screen and (max-width: 992px) {
    .btn-dist {
      position: absolute;
      top: 0;
      left: 2em;
      display: inline;

      .logo {
        margin: 3em auto 0;
        opacity: 1;
      }

      a {
        margin-top: 5px;
      }
    }

    .blog-component-header {
      min-height: 140px;
      background-size: cover;
      background-position: right;

      &--search {
        display: none;
      }
    }

    .blog-layout {
      grid-template-columns: 1fr;
      column-gap: 15px;
      grid-template-rows: auto auto auto;
      grid-template-areas:
        "latest"
        "articles"
        "newsletter";
      margin: 0;

      &-featured {
        grid-area: featured;
        display: none;
      }

      &-latest {
        h1 {
          height: 60px;
          font-size: 2em;
        }

        &--article {
          width: 90%;
          overflow: hidden;
          margin-left: 5%;

          img {
            width: 90%;
          }

          p,
          h2 {
            padding-left: 5%;
          }
        }
      }

      &-newsletter {
        h2 {
          text-align: center;
          font-size: 3em;
        }

        p {
          font-size: 1.5em;
          line-height: 1;
          font-weight: 600;
        }

        input[type="submit"] {
          padding: 5px 20px;
          background: #468e18;
          border-radius: 3px;
          font-size: 1.5em;
        }
      }

      &-articles {
        grid-template-columns: 1fr;
        grid-template-rows: 1fr 1fr 1fr;
        grid-gap: 1em 2em;
        gap: 1em 2em;

        &--item {

          p,
          h2 {
            padding-left: 2rem;
          }
        }
      }
    }

    .blog-tabs {
      overflow: auto;
      text-align: left;
      justify-content: end;
      font-size: larger;
      border: none;

      a {
        flex: none;
      }
    }
  }
}